package be.iminds.ilabt.jfed.highlevel;

import be.iminds.ilabt.jfed.BasicTestbedInfoModule;
import be.iminds.ilabt.jfed.JFedWebApiClientModule;
import be.iminds.ilabt.jfed.PostLoginCoreModule;
import be.iminds.ilabt.jfed.PreLoginCoreModule;
import com.google.inject.AbstractModule;

/**
 * User: twalcari
 * Date: 11/27/2014
 * Time: 15:27
 */

public class LowLevelModule extends AbstractModule {

    @Override
    protected void configure() {
        install(new PreLoginCoreModule());
        install(new PostLoginCoreModule());
        install(new BasicTestbedInfoModule());
        install(new JFedWebApiClientModule());
    }
}
